Merge "Add job for KNI blueprint on Google Cloud"
authorEric Ball <eball@linuxfoundation.org>
Sat, 29 Feb 2020 00:31:28 +0000 (00:31 +0000)
committerGerrit Code Review <gerrit@akraino.org>
Sat, 29 Feb 2020 00:31:28 +0000 (00:31 +0000)
12 files changed:
jjb/akraino-templates/akraino-iec-macros.yaml [new file with mode: 0644]
jjb/akraino-templates/akraino-iec-templates.yaml [new file with mode: 0644]
jjb/akraino-templates/akraino-jjb-templates.yaml
jjb/akraino-templates/akraino-ta-common-macros.yaml
jjb/ci-management/static-slaves-ci-jobs.yaml [new file with mode: 0644]
jjb/iec/iec-compass-build.sh
jjb/iec/iec-compass-deploy.sh
jjb/iec/iec-compass-destroy.sh
jjb/iec/iec-fdn-install.sh
jjb/iec/iec.yaml
jjb/shell/ta-iso-deploy.sh
jjb/shell/ta-rpm-deploy.sh

diff --git a/jjb/akraino-templates/akraino-iec-macros.yaml b/jjb/akraino-templates/akraino-iec-macros.yaml
new file mode 100644 (file)
index 0000000..58bbbc4
--- /dev/null
@@ -0,0 +1,119 @@
+---
+##############
+# PARAMETERS #
+##############
+- parameter:
+    name: 'iec-defaults'
+    parameters:
+      - string:
+          name: INSTALLER_IP
+          default: '10.20.0.2'
+          description: 'IP of the installer'
+      - string:
+          name: SSH_KEY
+          default: '/var/lib/opnfv/mcp.rsa'
+          description: 'Path to private SSH key to access environment nodes'
+      - string:
+          name: EXTERNAL_NETWORK
+          default: 'floating_net'
+          description: 'external network for test'
+      - string:
+          name: CI_DEBUG
+          default: 'false'
+          description: 'Show debug output information'
+      - string:
+          name: ARCHIVE_ARTIFACTS
+          default: '**/*.log'
+          description: Artifacts to archive to the logs server.
+
+# Usecase params are both installer and OS specific
+- parameter: &k8s_fuel_ubuntu1604_parameter
+    name: 'fuel-ubuntu1604-defaults'
+    parameters:
+      - string: &k8s_master_ip
+          name: K8S_MASTER_IP
+          default: '172.16.10.36'
+          description: 'IP address to connect to the K8s master'
+      - string: &k8s_ssh_user
+          name: K8S_SSH_USER
+          default: 'ubuntu'
+          description: 'SSH username to connect to the K8s master '
+      - string: &k8s_ssh_password
+          name: K8S_SSH_PASSWORD
+          default: ''
+          description: 'SSH password to connect to the K8s master'
+      - string: &k8s_ssh_key
+          name: K8S_SSH_KEY
+          default: '/var/lib/opnfv/mcp.rsa'
+          description: 'SSH key to connect to the K8s master'
+
+- parameter:
+    <<: *k8s_fuel_ubuntu1604_parameter
+    name: 'fuel-ubuntu1804-defaults'
+- parameter:
+    name: 'fuel-centos7-defaults'
+    parameters:
+      - string:
+          <<: *k8s_master_ip
+      - string:
+          <<: *k8s_ssh_user
+          default: 'centos'
+      - string:
+          <<: *k8s_ssh_password
+      - string:
+          <<: *k8s_ssh_key
+
+- parameter:
+    name: 'compass-ubuntu1604-defaults'
+    parameters:
+      - string:
+          <<: *k8s_master_ip
+          default: '10.1.0.50'
+      - string:
+          <<: *k8s_ssh_user
+          default: 'root'
+      - string:
+          <<: *k8s_ssh_password
+          default: 'root'
+      - string:
+          <<: *k8s_ssh_key
+
+########################
+# trigger macros
+########################
+# CI PODs
+# ----------------------------------------------------------------
+# Akraino IEC CI Baremetal Triggers running against master branch
+# ----------------------------------------------------------------
+- trigger:
+    name: 'iec-type2-fuel-virtual-ubuntu1604-daily-master-trigger'
+    triggers:
+      - timed: '0 1 * * 1,3,5'
+- trigger:
+    name: 'iec-type2-fuel-baremetal-ubuntu1604-daily-master-trigger'
+    triggers:
+      - timed: ''
+- trigger:
+    name: 'iec-type2-compass-virtual-ubuntu1604-daily-master-trigger'
+    triggers:
+      - timed: '0 13 * * *'
+- trigger:
+    name: 'iec-type2-fuel-virtual-ubuntu1804-daily-master-trigger'
+    triggers:
+      - timed: '0 1 * * 2,6'
+- trigger:
+    name: 'iec-type2-fuel-baremetal-ubuntu1804-daily-master-trigger'
+    triggers:
+      - timed: ''
+- trigger:
+    name: 'iec-type2-fuel-virtual-centos7-daily-master-trigger'
+    triggers:
+      - timed: '0 1 * * 4,7'
+- trigger:
+    name: 'iec-type2-fuel-baremetal-centos7-daily-master-trigger'
+    triggers:
+      - timed: ''
+- trigger:
+    name: 'iec-type1-compass-virtual-ubuntu1604-daily-master-trigger'
+    triggers:
+      - timed: '0 19 * * *'
diff --git a/jjb/akraino-templates/akraino-iec-templates.yaml b/jjb/akraino-templates/akraino-iec-templates.yaml
new file mode 100644 (file)
index 0000000..0f62307
--- /dev/null
@@ -0,0 +1,226 @@
+---
+- job-template:
+    id: akraino-iec-install
+    name: 'iec-{iecType}-{installer}-{deploy_type}-{os}-daily-{stream}'
+    disabled: '{obj:disabled}'
+    concurrent: false
+    node: '{slave-label}'
+    properties:
+      - throttle:
+          enabled: true
+          max-total: 4
+          max-per-node: 1
+          option: 'project'
+      - build-blocker:
+          use-build-blocker: true
+          blocking-jobs:
+            - '.*-fuel-{deploy_type}-.*'
+            - '.*-compass-{deploy_type}-.*'
+          block-level: 'NODE'
+
+    wrappers:
+      - build-name:
+          name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO $IEC_TYPE'
+
+    triggers:
+      - 'iec-{iecType}-{installer}-{deploy_type}-{os}-daily-{stream}-trigger'
+
+    parameters:
+      - lf-infra-parameters:
+          project: '{project}'
+          stream: '{stream}'
+          branch: '{branch}'
+      - '{project}-defaults'
+      - '{installer}-{os}-defaults'
+      - string:
+          name: DEPLOY_SCENARIO
+          default: '{scenario}'
+      - string:
+          name: IEC_TYPE
+          default: '{iecType}'
+
+    builders:
+      - trigger-builds:
+          - project: 'iec-{iecType}-deploy-{installer}-{deploy_type}-{os}-daily-{stream}'
+            current-parameters: true
+            predefined-parameters:
+              DEPLOY_SCENARIO={scenario}
+            same-node: true
+            block: true
+          - project: 'validation-enea-daily-{stream}'
+            same-node: true
+            current-parameters: true
+            predefined-parameters: |
+              CLUSTER_MASTER_IP=$K8S_MASTER_IP
+              CLUSTER_SSH_USER=$K8S_SSH_USER
+              CLUSTER_SSH_PASSWORD=$K8S_SSH_PASSWORD
+              CLUSTER_SSH_KEY=$K8S_SSH_KEY
+              BLUEPRINT={project-name}
+              LAYER=k8s
+              VERSION=master
+              OPTIONAL=false
+            block: true
+          - project:
+              !j2: |
+                {%- for uc in usecase -%}
+                iec-{{ iecType }}-install-{{ uc | first }}-{{ installer }}-{{ deploy_type }}-{{ os }}-daily-{{ stream }}
+                {%- if not loop.last -%},{%- endif -%}
+                {%- endfor %}
+            current-parameters: true
+            same-node: true
+            block: true
+            block-thresholds:
+              build-step-failure-threshold: 'never'
+              failure-threshold: 'never'
+              unstable-threshold: 'FAILURE'
+          - project: 'iec-{iecType}-destroy-{installer}-{deploy_type}-{os}-daily-{stream}'
+            current-parameters: false
+            predefined-parameters: |
+              DEPLOY_SCENARIO={scenario}
+              IEC_TYPE={iecType}
+            same-node: true
+            block: true
+
+- job-template:
+    id: akraino-iec-deploy
+    name: 'iec-{iecType}-deploy-{installer}-{deploy_type}-{os}-daily-{stream}'
+    concurrent: true
+    node: '{slave-label}'
+    properties: &properties
+      - throttle:
+          enabled: true
+          max-total: 4
+          max-per-node: 1
+          option: 'project'
+      - build-blocker:
+          use-build-blocker: true
+          blocking-jobs:
+            - '.*-{iecType}-deploy-{installer}-{deploy_type}-.*'
+            - '.*-{iecType}-destroy-{installer}-{deploy_type}-.*'
+            - '.*-{iecType}-install-.*-{installer}-{deploy_type}-.*'
+          block-level: 'NODE'
+
+    parameters:
+      - lf-infra-parameters:
+          project: '{project}'
+          stream: '{stream}'
+          branch: '{branch}'
+      - '{project}-defaults'
+      - '{installer}-{os}-defaults'
+      - string:
+          name: DEPLOY_SCENARIO
+          default: '{scenario}'
+      - string:
+          name: IEC_TYPE
+          default: '{iecType}'
+      - string:
+          name: EXTRA_ARGS
+          default: '-o {os}'
+
+    wrappers: &wrappers
+      - build-name:
+          name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO $IEC_TYPE'
+
+    scm: &scm
+      - git:
+          credentials-id: '{jenkins-ssh-credential}'
+          url: '{git-url}/{project}.git'
+          refspec: ''
+          branches:
+            - 'refs/heads/{branch}'
+          skip-tag: true
+          wipe-workspace: true
+          submodule:
+            disable: true
+            recursive: false
+            timeout: '{submodule-timeout}'
+          choosing-strategy: default
+
+    builders:
+      - description-setter:
+          description: "POD: $NODE_NAME"
+      - conditional-step:
+          condition-kind: regex-match
+          regex: 'compass'
+          label: '{installer}'
+          steps:
+            - shell:
+                !include-raw-escape: ../iec/iec-compass-build.sh
+            - shell:
+                !include-raw-escape: ../iec/iec-compass-deploy.sh
+            - shell:
+                !include-raw-escape: ../iec/iec-fdn-install.sh
+      - conditional-step:
+          condition-kind: regex-match
+          regex: 'fuel'
+          label: '{installer}'
+          steps:
+            - shell:
+                !include-raw-escape: ../iec/iec-fuel-deploy.sh
+
+    publishers: &publishers
+      - email:
+          recipients: armband@enea.com
+      - lf-infra-publish
+
+- job-template:
+    id: akraino-iec-destroy
+    name: 'iec-{iecType}-destroy-{installer}-{deploy_type}-{os}-daily-{stream}'
+    concurrent: true
+    node: '{slave-label}'
+    properties: *properties
+    parameters:
+      - lf-infra-parameters:
+          project: '{project}'
+          stream: '{stream}'
+          branch: '{branch}'
+      - '{project}-defaults'
+      - '{installer}-{os}-defaults'
+      - string:
+          name: DEPLOY_SCENARIO
+          default: '{scenario}'
+      - string:
+          name: IEC_TYPE
+          default: '{iecType}'
+      - string:
+          name: EXTRA_ARGS
+          default: '-EEE -o {os}'
+
+    wrappers: *wrappers
+    scm: *scm
+
+    builders:
+      - description-setter:
+          description: "POD: $NODE_NAME"
+      - shell:
+          !include-raw-escape: ../iec/iec-{installer}-destroy.sh
+
+    publishers: *publishers
+
+- job-template:
+    id: akraino-iec-install-usecase
+    name: 'iec-{iecType}-install-{usecase}-{installer}-{deploy_type}-{os}-daily-{stream}'
+    concurrent: true
+    node: '{slave-label}'
+    properties: *properties
+
+    parameters:
+      - lf-infra-parameters:
+          project: '{project}'
+          stream: '{stream}'
+          branch: '{branch}'
+      - '{project}-defaults'
+      - '{installer}-{os}-defaults'
+
+    wrappers:
+      - build-name:
+          name: '$BUILD_NUMBER - Usecase: ${usecase} DeployType: ${installer}-${deploy_type}'
+
+    scm: *scm
+
+    builders:
+      - shell:
+          !include-raw-escape: ../iec/iec-{usecase}.sh
+
+    publishers: *publishers
+
index 55d9c69..82d34dd 100644 (file)
 
     publishers:
       - lf-infra-publish
+
+- job-template:
+    id: akraino-project-build-node-init
+    name: '{project-name}-{build-node}-init'
+    disabled: '{obj:disabled}'
+    concurrent: true
+
+    parameters:
+      - lf-infra-parameters:
+          project: '{project}'
+          stream: '{stream}'
+          branch: '{branch}'
+      - label:
+          name: '{build-node}'
+          default: '{build-node}'
+          node-eligibility: 'all'
+          all-nodes: true
+
+    gerrit_merge_triggers:
+      - change-merged-event
+      - comment-added-contains-event:
+          comment-contains-value: remerge$
+
+    gerrit_trigger_file_paths:
+      - compare-type: REG_EXP
+        pattern: 'global-jjb'
+
+    scm:
+      - lf-infra-gerrit-scm:
+          jenkins-ssh-credential: '{jenkins-ssh-credential}'
+          git-url: '{git-url}/{project}.git'
+          refspec: ''
+          branch: '{branch}'
+          submodule-recursive: true
+          submodule-timeout: '{submodule-timeout}'
+          submodule-disable: false
+          choosing-strategy: default
+
+    triggers:
+      - gerrit:
+          server-name: '{gerrit-server-name}'
+          trigger-on: '{obj:gerrit_merge_triggers}'
+          projects:
+            - project-compare-type: ANT
+              project-pattern: '{project}'
+              branches:
+                - branch-compare-type: ANT
+                  branch-pattern: '**/{branch}'
+              file-paths: '{obj:gerrit_trigger_file_paths}'
+
+    builders:
+      - description-setter:
+          description: "POD: $NODE_NAME"
+      - shell: |
+          #!/bin/bash -ex
+          export SWAP_SIZE=0
+          sudo -E ./global-jjb/jenkins-init-scripts/init.sh
+          sudo chown jenkins:jenkins -R archives
index 782e6b8..a0d578c 100644 (file)
           # Ensure python-tools are installed in case job template does not
           # call the lf-infra-pre-build macro.
           - ../../global-jjb/shell/python-tools-install.sh
+      - shell: !include-raw:
           - ../shell/ta-rpm-deploy.sh
       - shell: !include-raw:
           - ../../global-jjb/shell/logs-clear-credentials.sh
           # Ensure python-tools are installed in case job template does not
           # call the lf-infra-pre-build macro.
           - ../../global-jjb/shell/python-tools-install.sh
+      - shell: !include-raw:
           - ../shell/ta-iso-deploy.sh
       - shell: !include-raw:
           - ../../global-jjb/shell/logs-clear-credentials.sh
       - shell: |2-
           #!/bin/bash -ex
           if apt --version 2>1 >/dev/null; then
+              sudo chmod +r /boot/vmlinuz*
               if ! docker --version 2>1 >/dev/null; then
                   sudo apt update
-                  sudo apt install -y apt-transport-https ca-certificates curl software-properties-common
+                  sudo apt install -y apt-transport-https ca-certificates curl software-properties-common rename
                   curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
                   sudo add-apt-repository -y "deb http://download.docker.com/linux/ubuntu $(lsb_release -cs) stable"
                   sudo apt update
diff --git a/jjb/ci-management/static-slaves-ci-jobs.yaml b/jjb/ci-management/static-slaves-ci-jobs.yaml
new file mode 100644 (file)
index 0000000..c07b550
--- /dev/null
@@ -0,0 +1,16 @@
+---
+- project:
+    name: static-slaves-ci-jobs
+
+    project: ci-management
+    project-name: ci-management
+    branch: master
+    stream: '{branch}'
+
+    build-node:
+      - aarch64_dev
+      - aarch64_build
+      - aarch64_baremetal
+
+    jobs:
+      - akraino-project-build-node-init
index b403230..e604dfc 100755 (executable)
@@ -36,8 +36,11 @@ ln -s $COMPASS_WORK_DIR work
 
 sudo docker rm -f `sudo docker ps | grep compass | cut -f1 -d' '` || true
 
-curl -s http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash || true
+curl -sL http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash || true
 
 ./build.sh
 
+# Fix permissions so we can archive log files before pushing to Nexus
+sudo chown $(id -u):$(id -g) -R "${WORKSPACE}"
+
 exit 0
index 9db4c0b..443c115 100755 (executable)
@@ -46,4 +46,6 @@ echo "Compass Deploy successful"
 
 rm -rf "$COMPASS_WORK_DIR"
 rm -rf work
+# Fix permissions so we can archive log files before pushing to Nexus
+sudo chown $(id -u):$(id -g) -R "${WORKSPACE}"
 exit 0
index fbd448b..3c1993d 100755 (executable)
@@ -1,5 +1,7 @@
 #!/bin/bash
-set -e
+
+# Do not exit this script if one of the cleanup steps fails
+set +e
 
 rm -rf compass4nfv
 sudo virsh destroy host1
index 40852df..e1a74fa 100755 (executable)
@@ -18,5 +18,7 @@ HOST_USER=root
 export HOST_USER
 ./startup.sh
 
+# Fix permissions so we can archive log files before pushing to Nexus
+sudo chown $(id -u):$(id -g) -R "${WORKSPACE}"
 
 exit 0
index 573faf1..625017d 100644 (file)
           scenario: 'k8-calico-iec-noha'
 
     jobs:
-      - 'iec-{iecType}-{installer}-{deploy_type}-{os}-daily-{stream}'
-      - 'iec-{iecType}-deploy-{installer}-{deploy_type}-{os}-daily-{stream}'
-      - 'iec-{iecType}-destroy-{installer}-{deploy_type}-{os}-daily-{stream}'
-      - 'iec-{iecType}-install-{usecase}-{installer}-{deploy_type}-{os}-daily-{stream}'
+      - akraino-iec-install
+      - akraino-iec-deploy
+      - akraino-iec-destroy
+      - akraino-iec-install-usecase
       - gerrit-sonar:
           sonar-project-file: ""
           build-node: centos7-builder-2c-1g
             sonar.tests=.
             sonar.test.inclusions=**/*_test.go
             sonar.test.exclusions=**/vendor/**
-
-
-##############
-# PARAMETERS #
-##############
-- parameter:
-    name: 'iec-defaults'
-    parameters:
-      - string:
-          name: INSTALLER_IP
-          default: '10.20.0.2'
-          description: 'IP of the installer'
-      - string:
-          name: SSH_KEY
-          default: '/var/lib/opnfv/mcp.rsa'
-          description: 'Path to private SSH key to access environment nodes'
-      - string:
-          name: EXTERNAL_NETWORK
-          default: 'floating_net'
-          description: 'external network for test'
-      - string:
-          name: CI_DEBUG
-          default: 'false'
-          description: 'Show debug output information'
-      - string:
-          name: ARCHIVE_ARTIFACTS
-          default: '**/*.log'
-          description: Artifacts to archive to the logs server.
-# Usecase params are both installer and OS specific
-- parameter: &k8s_fuel_ubuntu1604_parameter
-    name: 'fuel-ubuntu1604-defaults'
-    parameters:
-      - string: &k8s_master_ip
-          name: K8S_MASTER_IP
-          default: '172.16.10.36'
-          description: 'IP address to connect to the K8s master'
-      - string: &k8s_ssh_user
-          name: K8S_SSH_USER
-          default: 'ubuntu'
-          description: 'SSH username to connect to the K8s master '
-      - string: &k8s_ssh_password
-          name: K8S_SSH_PASSWORD
-          default: ''
-          description: 'SSH password to connect to the K8s master'
-      - string: &k8s_ssh_key
-          name: K8S_SSH_KEY
-          default: '/var/lib/opnfv/mcp.rsa'
-          description: 'SSH key to connect to the K8s master'
-- parameter:
-    <<: *k8s_fuel_ubuntu1604_parameter
-    name: 'fuel-ubuntu1804-defaults'
-- parameter:
-    name: 'fuel-centos7-defaults'
-    parameters:
-      - string:
-          <<: *k8s_master_ip
-      - string:
-          <<: *k8s_ssh_user
-          default: 'centos'
-      - string:
-          <<: *k8s_ssh_password
-      - string:
-          <<: *k8s_ssh_key
-- parameter:
-    name: 'compass-ubuntu1604-defaults'
-    parameters:
-      - string:
-          <<: *k8s_master_ip
-          default: '10.1.0.50'
-      - string:
-          <<: *k8s_ssh_user
-          default: 'root'
-      - string:
-          <<: *k8s_ssh_password
-          default: 'root'
-      - string:
-          <<: *k8s_ssh_key
-
-########################
-# job templates
-########################
-- job-template:
-    name: 'iec-{iecType}-{installer}-{deploy_type}-{os}-daily-{stream}'
-    disabled: '{obj:disabled}'
-    concurrent: false
-    node: '{slave-label}'
-    properties:
-      - throttle:
-          enabled: true
-          max-total: 4
-          max-per-node: 1
-          option: 'project'
-      - build-blocker:
-          use-build-blocker: true
-          blocking-jobs:
-            - '.*-fuel-{deploy_type}-.*'
-            - '.*-compass-{deploy_type}-.*'
-          block-level: 'NODE'
-
-    wrappers:
-      - build-name:
-          name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO $IEC_TYPE'
-
-    triggers:
-      - 'iec-{iecType}-{installer}-{deploy_type}-{os}-daily-{stream}-trigger'
-
-    parameters:
-      - lf-infra-parameters:
-          project: '{project}'
-          stream: '{stream}'
-          branch: '{branch}'
-      - '{project}-defaults'
-      - '{installer}-{os}-defaults'
-      - string:
-          name: DEPLOY_SCENARIO
-          default: '{scenario}'
-      - string:
-          name: IEC_TYPE
-          default: '{iecType}'
-
-    builders:
-      - trigger-builds:
-          - project: 'iec-{iecType}-deploy-{installer}-{deploy_type}-{os}-daily-{stream}'
-            current-parameters: true
-            predefined-parameters:
-              DEPLOY_SCENARIO={scenario}
-            same-node: true
-            block: true
-          - project: 'validation-enea-daily-{stream}'
-            same-node: true
-            current-parameters: true
-            predefined-parameters: |
-              CLUSTER_MASTER_IP=$K8S_MASTER_IP
-              CLUSTER_SSH_USER=$K8S_SSH_USER
-              CLUSTER_SSH_PASSWORD=$K8S_SSH_PASSWORD
-              CLUSTER_SSH_KEY=$K8S_SSH_KEY
-              BLUEPRINT={project-name}
-              LAYER=k8s
-              VERSION=master
-              OPTIONAL=yes
-            block: true
-          - project:
-              !j2: |
-                {%- for uc in usecase -%}
-                iec-{{ iecType }}-install-{{ uc | first }}-{{ installer }}-{{ deploy_type }}-{{ os }}-daily-{{ stream }}
-                {%- if not loop.last -%},{%- endif -%}
-                {%- endfor %}
-            current-parameters: true
-            same-node: true
-            block: true
-            block-thresholds:
-              build-step-failure-threshold: 'never'
-              failure-threshold: 'never'
-              unstable-threshold: 'FAILURE'
-          - project: 'iec-{iecType}-destroy-{installer}-{deploy_type}-{os}-daily-{stream}'
-            current-parameters: false
-            predefined-parameters: |
-              DEPLOY_SCENARIO={scenario}
-              IEC_TYPE={iecType}
-            same-node: true
-            block: true
-
-- job-template:
-    name: 'iec-{iecType}-deploy-{installer}-{deploy_type}-{os}-daily-{stream}'
-    concurrent: true
-    node: '{slave-label}'
-    properties: &properties
-      - throttle:
-          enabled: true
-          max-total: 4
-          max-per-node: 1
-          option: 'project'
-      - build-blocker:
-          use-build-blocker: true
-          blocking-jobs:
-            - '.*-{iecType}-deploy-{installer}-{deploy_type}-.*'
-            - '.*-{iecType}-destroy-{installer}-{deploy_type}-.*'
-            - '.*-{iecType}-install-.*-{installer}-{deploy_type}-.*'
-          block-level: 'NODE'
-
-    parameters:
-      - lf-infra-parameters:
-          project: '{project}'
-          stream: '{stream}'
-          branch: '{branch}'
-      - '{project}-defaults'
-      - '{installer}-{os}-defaults'
-      - string:
-          name: DEPLOY_SCENARIO
-          default: '{scenario}'
-      - string:
-          name: IEC_TYPE
-          default: '{iecType}'
-      - string:
-          name: EXTRA_ARGS
-          default: '-o {os}'
-
-    wrappers: &wrappers
-      - build-name:
-          name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO $IEC_TYPE'
-
-    scm: &scm
-      - git:
-          credentials-id: '{jenkins-ssh-credential}'
-          url: '{git-url}/{project}.git'
-          refspec: ''
-          branches:
-            - 'refs/heads/{branch}'
-          skip-tag: true
-          wipe-workspace: true
-          submodule:
-            disable: true
-            recursive: false
-            timeout: '{submodule-timeout}'
-          choosing-strategy: default
-
-    builders:
-      - description-setter:
-          description: "POD: $NODE_NAME"
-      - conditional-step:
-          condition-kind: regex-match
-          regex: 'compass'
-          label: '{installer}'
-          steps:
-            - shell:
-                !include-raw-escape: ./iec-compass-build.sh
-            - shell:
-                !include-raw-escape: ./iec-compass-deploy.sh
-            - shell:
-                !include-raw-escape: ./iec-fdn-install.sh
-      - conditional-step:
-          condition-kind: regex-match
-          regex: 'fuel'
-          label: '{installer}'
-          steps:
-            - shell:
-                !include-raw-escape: ./iec-fuel-deploy.sh
-
-    publishers: &publishers
-      - email:
-          recipients: armband@enea.com
-      - lf-infra-publish
-
-- job-template:
-    name: 'iec-{iecType}-destroy-{installer}-{deploy_type}-{os}-daily-{stream}'
-    concurrent: true
-    node: '{slave-label}'
-    properties: *properties
-    parameters:
-      - lf-infra-parameters:
-          project: '{project}'
-          stream: '{stream}'
-          branch: '{branch}'
-      - '{project}-defaults'
-      - '{installer}-{os}-defaults'
-      - string:
-          name: DEPLOY_SCENARIO
-          default: '{scenario}'
-      - string:
-          name: IEC_TYPE
-          default: '{iecType}'
-      - string:
-          name: EXTRA_ARGS
-          default: '-EEE -o {os}'
-
-    wrappers: *wrappers
-    scm: *scm
-
-    builders:
-      - description-setter:
-          description: "POD: $NODE_NAME"
-      - shell:
-          !include-raw-escape: ./iec-{installer}-destroy.sh
-
-    publishers: *publishers
-
-- job-template:
-    name: 'iec-{iecType}-install-{usecase}-{installer}-{deploy_type}-{os}-daily-{stream}'
-    concurrent: true
-    node: '{slave-label}'
-    properties: *properties
-
-    parameters:
-      - lf-infra-parameters:
-          project: '{project}'
-          stream: '{stream}'
-          branch: '{branch}'
-      - '{project}-defaults'
-      - '{installer}-{os}-defaults'
-
-    wrappers:
-      - build-name:
-          name: '$BUILD_NUMBER - Usecase: ${usecase} DeployType: ${installer}-${deploy_type}'
-
-    scm: *scm
-
-    builders:
-      - shell:
-          !include-raw-escape: ./iec-{usecase}.sh
-
-    publishers: *publishers
-
-
-########################
-# trigger macros
-########################
-# CI PODs
-# ----------------------------------------------------------------
-# Akraino IEC CI Baremetal Triggers running against master branch
-# ----------------------------------------------------------------
-- trigger:
-    name: 'iec-type2-fuel-virtual-ubuntu1604-daily-master-trigger'
-    triggers:
-      - timed: '0 1 * * 1,3,5'
-- trigger:
-    name: 'iec-type2-fuel-baremetal-ubuntu1604-daily-master-trigger'
-    triggers:
-      - timed: ''
-- trigger:
-    name: 'iec-type2-compass-virtual-ubuntu1604-daily-master-trigger'
-    triggers:
-      - timed: '0 13 * * *'
-- trigger:
-    name: 'iec-type2-fuel-virtual-ubuntu1804-daily-master-trigger'
-    triggers:
-      - timed: '0 1 * * 2,6'
-- trigger:
-    name: 'iec-type2-fuel-baremetal-ubuntu1804-daily-master-trigger'
-    triggers:
-      - timed: ''
-- trigger:
-    name: 'iec-type2-fuel-virtual-centos7-daily-master-trigger'
-    triggers:
-      - timed: '0 1 * * 4,7'
-- trigger:
-    name: 'iec-type2-fuel-baremetal-centos7-daily-master-trigger'
-    triggers:
-      - timed: ''
-- trigger:
-    name: 'iec-type1-compass-virtual-ubuntu1604-daily-master-trigger'
-    triggers:
-      - timed: '0 19 * * *'
index 1ec4731..705ac3c 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
 # Copyright (c) 2017 The Linux Foundation and others.
@@ -16,6 +16,8 @@ set -eu -o pipefail
 
 set -x  # Trace commands for this script to make debugging easier.
 
+set +f  # Ensure filename expansion (globbing) is enabled
+
 NEXUS_REPO=images-snapshots
 release_path=TA/release-1
 
index f0381e8..d742333 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
 # Copyright (c) 2017 The Linux Foundation and others.
@@ -16,6 +16,8 @@ set -eu -o pipefail
 
 set -x  # Trace commands for this script to make debugging easier.
 
+set +f  # Ensure filename expansion (globbing) is enabled
+
 NEXUS_REPO=rpm.snapshots
 release_path=TA/release-1